Bug 2075194 - [abrt] easyeffects: std::__replacement_assert(): easyeffects killed by SIGABRT
Summary: [abrt] easyeffects: std::__replacement_assert(): easyeffects killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easyeffects
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:87e7fdcb0a902376c0426f055c8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-13 19:10 UTC by Elliott Sales de Andrade
Modified: 2022-05-19 01:22 UTC (History)
1 user (show)

Fixed In Version: easyeffects-6.2.5-1.fc36 easyeffects-6.2.5-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-19 01:16:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (141.73 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: core_backtrace (58.55 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: cpuinfo (2.71 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: dso_list (170 bytes, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: environ (1.87 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: limits (1.29 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: maps (4.00 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: mountinfo (3.04 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: open_fds (8.48 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details
File: var_log_messages (218 bytes, text/plain)
2022-04-13 19:10 UTC, Elliott Sales de Andrade
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github wwmm easyeffects issues 1486 0 None closed Crash when changing spectrum points setting while having 2 or more sources playing. 2022-04-27 07:42:31 UTC

Description Elliott Sales de Andrade 2022-04-13 19:10:08 UTC
Description of problem:
Setting number of bars in spectrum to 256; window is kept at default width.

Version-Release number of selected component:
easyeffects-6.2.4-1.fc35

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-com.github.wwmm.easyeffects
cmdline:        /usr/bin/easyeffects --gapplication-service
crash_function: std::__replacement_assert
executable:     /usr/bin/easyeffects
journald_cursor: s=de049201d6b146bdb6b81bee0e74e98c;i=bebd6;b=993ab1c75c9b48689e2b7cbb8184b228;m=393b5cc9ef;t=5dc804a356f5c;x=a5843f94e9df90c0
kernel:         5.16.13-200.fc35.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Elliott Sales de Andrade 2022-04-13 19:10:10 UTC
Created attachment 1872301 [details]
File: backtrace

Comment 2 Elliott Sales de Andrade 2022-04-13 19:10:12 UTC
Created attachment 1872302 [details]
File: core_backtrace

Comment 3 Elliott Sales de Andrade 2022-04-13 19:10:13 UTC
Created attachment 1872303 [details]
File: cpuinfo

Comment 4 Elliott Sales de Andrade 2022-04-13 19:10:14 UTC
Created attachment 1872304 [details]
File: dso_list

Comment 5 Elliott Sales de Andrade 2022-04-13 19:10:15 UTC
Created attachment 1872305 [details]
File: environ

Comment 6 Elliott Sales de Andrade 2022-04-13 19:10:16 UTC
Created attachment 1872306 [details]
File: limits

Comment 7 Elliott Sales de Andrade 2022-04-13 19:10:17 UTC
Created attachment 1872307 [details]
File: maps

Comment 8 Elliott Sales de Andrade 2022-04-13 19:10:18 UTC
Created attachment 1872308 [details]
File: mountinfo

Comment 9 Elliott Sales de Andrade 2022-04-13 19:10:19 UTC
Created attachment 1872309 [details]
File: open_fds

Comment 10 Elliott Sales de Andrade 2022-04-13 19:10:20 UTC
Created attachment 1872310 [details]
File: proc_pid_status

Comment 11 Elliott Sales de Andrade 2022-04-13 19:10:22 UTC
Created attachment 1872311 [details]
File: var_log_messages

Comment 12 Vasiliy Glazov 2022-04-13 19:20:46 UTC
Please send bugreport to upstream too.

Comment 13 Elliott Sales de Andrade 2022-04-27 07:42:32 UTC
Seems to be reported (and fixed) already.

Comment 14 Vasiliy Glazov 2022-04-27 08:02:30 UTC
After next upstream release I will build it for repo.

Comment 15 Fedora Update System 2022-05-10 07:01:36 UTC
FEDORA-2022-95605d8f03 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-95605d8f03

Comment 16 Fedora Update System 2022-05-10 07:01:47 UTC
FEDORA-2022-1eab9f8a97 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1eab9f8a97

Comment 17 Fedora Update System 2022-05-11 02:37:34 UTC
FEDORA-2022-1eab9f8a97 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-1eab9f8a97`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1eab9f8a97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-05-11 02:45:10 UTC
FEDORA-2022-95605d8f03 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-95605d8f03`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-95605d8f03

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2022-05-19 01:16:46 UTC
FEDORA-2022-1eab9f8a97 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-05-19 01:22:24 UTC
FEDORA-2022-95605d8f03 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.